import os
import distutils.util

#
# Base directory for storing cache files generated by hideout.
#
HIDEOUT_BASEDIR = os.getenv('HIDEOUT_BASEDIR', './')

#
# List of stages to skip caching.
#
HIDEOUT_SKIP_STAGES = set(os.getenv('HIDEOUT_SKIP_STAGES', "").split(","))

#
# When this value is set to True, hideout does store / load cache files.
#
# NOTE: https://qiita.com/koemu/items/fd333fd8ed14f31fbca6
#
HIDEOUT_ENABLE_CACHE = bool(distutils.util.strtobool(
    os.getenv('HIDEOUT_ENABLE_CACHE', "False")))
